Bug 48702 - [MAINTAINER] Update security/libtasn1 to 0.2.1
Summary: [MAINTAINER] Update security/libtasn1 to 0.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-26 13:50 UTC by Sergei Kolobov
Modified: 2003-02-27 20:10 UTC (History)
0 users

See Also:


Attachments
libtasn1-0.2.1.patch (2.13 KB, patch)
2003-02-26 13:50 UTC, Sergei Kolobov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Kolobov 2003-02-26 13:50:03 UTC
- Update to 0.2.1
- Bumped shlib version to 1
- Conditionalize libgnugetopt dependency
Comment 1 Sergei Kolobov 2003-02-26 15:40:54 UTC
Last-minute touch: 
- Use DOCSDIR and EXAMPLESDIR in pkg-plist

Note: the update was tested under -STABLE and -CURRENT.

Please replace pkg-plist patch with the following:

Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/security/libtasn1/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	2003/01/28 22:19:12	1.2
+++ pkg-plist	2003/02/26 14:57:14
@@ -1,12 +1,12 @@
 include/libtasn1.h
-lib/libtasn1.so.0
+lib/libtasn1.so.1
 lib/libtasn1.so
 lib/libtasn1.a
-%%PORTDOCS%%share/doc/libtasn1/AUTHORS
-%%PORTDOCS%%share/doc/libtasn1/NEWS
-%%PORTDOCS%%share/doc/libtasn1/README
-%%PORTDOCS%%share/doc/libtasn1/THANKS
-%%PORTDOCS%%share/doc/libtasn1/asn1.ps
-%%PORTDOCS%%share/doc/libtasn1/asn1.tex
-%%PORTDOCS%%share/doc/libtasn1/fdl.tex
-%%PORTDOCS%%@dirrm share/doc/libtasn1
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/THANKS
+%%PORTDOCS%%%%DOCSDIR%%/asn1.ps
+%%PORTDOCS%%%%DOCSDIR%%/asn1.tex
+%%PORTDOCS%%%%DOCSDIR%%/fdl.tex
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
Comment 2 Christian Weisgerber freebsd_committer 2003-02-27 20:09:58 UTC
State Changed
From-To: open->closed

Committed with minor change in libtool handling, thanks.